# $Revision: 1.9 $, $Date: 2006/04/08 13:43:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Clone
Summary:	Clone - Perl module for recursively copying Perl datatypes
Summary(pl):	Clone - modu Perla obsugujcy rekursywne kopiowanie zmiennych w Perlu
Name:		perl-Clone
Version:	0.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	f369cb742a92733688a9a7b8514a2538
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a clone() method which makes recursive copies
of nested hash, array, scalar and reference types, including tied
variables and objects.

%description -l pl
Ten modu dostarcza clone(), metod suc do rekurencyjnego
kopiowania zagniedonych tablic asocjacyjnych, tablic, skalarw i
referencji, wcznie ze zwizanymi zmiennymi i obiektami.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone/Clone.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Clone/Clone.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Clone.spec,v $
Revision 1.9  2006/04/08 13:43:17  agaran
- up to 0.20 rel 1 builds here

Revision 1.8  2005/06/22 16:58:47  czucz
- updated to 0.18

Revision 1.7  2004/11/03 22:30:10  paladine
- formatting

Revision 1.6  2004/04/18 16:56:36  ankry
- license fixes and unification

Revision 1.5  2004/04/13 18:46:11  qboosh
- pl fixes

Revision 1.4  2004/04/13 06:58:27  ankry
- cosmetics

Revision 1.3  2004/04/13 06:03:22  twittner
- typos

Revision 1.2  2004/04/13 05:27:56  agaran
pl descr fixed

Revision 1.1  2004/04/13 05:17:10  agaran
initial, nfy
